export class NotificationMessage {
    id: string;
    dateTime: string;
    error: boolean;
    message: string;

    constructor(error: boolean, message: string) {
        let dateTime = new Date();

        this.id = crypto.randomUUID();
        this.dateTime = dateTime.getUTCHours().toString().padStart(2, '0') + ':' + dateTime.getUTCMinutes().toString().padStart(2, '0') + " - " + dateTime.getUTCDate().toString().padStart(2, '0')+ '.' + dateTime.getUTCMonth().toString().padStart(2, '0') + '.' + dateTime.getFullYear();
        this.error = error;
        this.message = message;
    }
}
